[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.RecordSize

Size of the record in memory

## Declaration

Source position: db.pas line 1350

`public property TDataSet.RecordSize: Word read GetRecordSize;`

## Description

RecordSize is the total size of the memory buffer used for the records. This property returns always 0 in the TDataset implementation. Descendent classes should implement this property. Note that this property does not necessarily reflect the actual data size for the records. that may be more or less, depending on how the TDataset descendent manages it's data.

## See also

TField.Datasize |  | Size of the field's data
TDataset.RecordCount |  | Number of records in the dataset
TDataset.RecNo |  | Current record number

The latest version of this document can be found at lazarus-ccr.sourceforge.net .